<!-- component for flatplan -->
<div class="components hide">
    <div data-component-type="file">
        <div data-update-pdfPath="manuscript">
            <div class="dropdown">
                <span class="label" data-type="label">
                    <b for="file" data-update-node="label"/>
                </span>
                <span class="btn-primary btn-sm dropdown-toggle" type="button" data-toggle="dropdown" style="margin-left: 5px" id="dropdown_upload">
                    <span class="icon-cloud-upload"/>Upload Files</span>
                <ul aria-labelledby="dropdown_upload" class="dropdown-menu" style="margin-left:5px;">
                    <li data-proofType="online">
                        <input type="file" data-manualUpload="file._attributes.data-manualUpload" data-key-path="' + compObj.key + '" name="files[]" multiple="" style="display:none;" data-proofType="online" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
                        <span class="fileChooser">Upload Online PDF</span>
                    </li>
                    <li data-proofType="print">
                        <input type="file" data-manualUpload="file._attributes.data-manualUpload" data-key-path="' + compObj.key + '" name="files[]" multiple="" style="display:none;" data-proofType="print" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
                        <span class="fileChooser">Upload Print PDF</span>
                    </li>
                </ul>
                <p/>
            </div>
            <object for="file" onload="" data="{data}" data-update-attr="data" data-update-attrVal="{data}" width="100%" height="90%"/>
        </div>
    </div>
    <div data-component-type="fileUpload">
        <div class="{label}" data-update-node="label"/>
        <p class="fileObjUpload">
            <span class="btn-primary btn-sm">
                <input type="file" data-key-path="{key}" region="{regionIDVal}" name="files[]" multiple="" style="display:none;" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
                <span class="fileChooser">
                    <span class="icon-cloud-upload"/> Upload</span>
            </span>
        </p>
        <object class="uploadObject" data="{data}"/>
    </div>
    <div data-component-type="mspdf">
        <div style="padding:10px" data-update-pdfPath="manuscript">
            <span class="btn-primary btn-sm " style="margin-left:15px" id="pdfDownload">
                <input type="file" data-key-path="{key}" name="files[]" multiple="" style="display:none;" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
                <span class="fileChooser">
                    <span class="fa fa-upload" style="line-height:inherit"/>
                </span>
            </span>
            <span id="exportPDF" class="btn-primary btn-sm " style="margin-left:15px" data-message="{'click':{'funcToCall': 'exportToPDF','param':{'type': 'online','processType': 'InDesignSetter'},'channel':'pdf','topic':'export'}}">Export PDF</span>
            <span id="exportOnlinePDF" class="btn-primary btn-sm" style="margin-left:15px" data-message="{'click':{'funcToCall': 'exportToPDF','param':{'type': 'print','processType': 'InDesignSetter'},'channel':'pdf','topic':'export'}}">Export Print PDF</span>
            <div class="dropdown" style="float:left" id="download_pdf">
                <span class="btn-primary btn-sm dropdown-toggle" type="button" data-toggle="dropdown" href="#" style="" id="dropdown_download">View/Download PDF</span>
                <ul aria-labelledby="dropdown_download" class="dropdown-menu">
                    <li data-proofType="online">
                        <a>Online</a>
                    </li>
                    <li data-proofType="print">
                        <a>Print</a>
                    </li>
                    <li data-preflight="true">
                        <a>Preflight</a>
                    </li>
                </ul>
            </div>
            <div id="upload_non_kriya">
                <div class="dropdown">
                    <span class="btn-primary btn-sm dropdown-toggle" type="button" data-toggle="dropdown" style="margin-left: 5px" id="dropdown_upload">
                        <span class="icon-cloud-upload"/>Upload Files</span>
                    <ul aria-labelledby="dropdown_upload" class="dropdown-menu" style="margin-left:5px;">
                        <li data-proofType="online">
                            <input type="file" data-manualUpload="file._attributes.data-manualUpload" data-key-path="' + compObj.key + '" name="files[]" multiple="" style="display:none;" data-type="xml" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
                            <span class="fileChooser">Upload XML</span>
                        </li>
                        <li data-proofType="online">
                            <input type="file" data-manualUpload="file._attributes.data-manualUpload" data-key-path="' + compObj.key + '" name="files[]" multiple="" style="display:none;" data-proofType="online" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
                            <span class="fileChooser">Upload Online PDF</span>
                        </li>
                        <li data-proofType="print">
                            <input type="file" data-manualUpload="file._attributes.data-manualUpload" data-key-path="' + compObj.key + '" name="files[]" multiple="" style="display:none;" data-proofType="print" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
                            <span class="fileChooser">Upload Print PDF</span>
                        </li>
                    </ul>
                    <p/>
                </div>
                <p/>
                <object data="{data}" width="100%" height="90%"/>
            </div>
             <object data="{data}" width="100%" height="90%"/>
        </div>
    </div>
    <div data-component-type="contenteditable">
        <div class="coverText" data-html-node="true">
            <div class="col-sm-4 col-md-4 col-lg-4 label" data-update-node="label"/>
            <div class="col-sm-8 col-md-8 col-lg-8 data contenteditable" contenteditable="true" data-key-path="{key}" data-label="{label}" data-contenteditable="true"/>
        </div>
    </div>
    <div data-component-type="editable">
        <div class="row stripes">
            <div class="col-sm-4 col-md-4 col-lg-4 label" data-update-node="label"/>
            <div class="col-sm-8 col-md-8 col-lg-8 data editable" data-key-path="{key}" data-label="{label}" contenteditable="true" data-update-node="data"/>
        </div>
    </div>
    <div data-component-type="color">
        <p onClick="$(this).addClass('active').parent().find('p:not(.active) img').addClass('hide');$(this).removeClass('active').find('img').toggleClass('hide');" rid="{mdObj['ref-id']}" data-foreach-fig="true">
            <span class="fig">
                <span data-type="label">
                    <i data-update-node="label"/>
                </span>
                <span class="right" data-type="color">
                    <input type="checkbox" class="color filled-in" id="fb{mdIndex}" checked="{colorChecked}"/>
                    <label for="fb{mdIndex}">Color in print</label>
                </span>
            </span>
            <img class="jrnlImage" style="background: transparent url(../images/loading.gif) no-repeat; " alt="{src}"/>
        </p>
    </div>
    <div data-component-type="flag">
        <div class="flagSectionHead" data-flag-config="true"/>
    </div>
    <div data-component-type="checkbox">
        <div class="stripes">
            <input type="checkbox" data-flag-type="{flagType}" class="flag filled-in" id="fg{fcIndex}" checked="{checked}" data-region-id="{regionIDVal}"/>
            <label for="fg{fcIndex}">
                <i data-update-node="label"/>
            </label>
        </div>
    </div>
    <div data-component-type="select">
        <div class="stripes">
            <div class="input-field">
                <label for="fg{fcIndex}">
                    <i data-update-node="label"/>
                </label>
                <select class="flag" data-update-option="true" data-flag-type="{flagType}" style="margin-left:15px"/>
            </div>
        </div>
    </div>
    <div data-component-type="select_checkbox">
        <div class="stripes ">
            <input type="checkbox" data-select="true" data-flag-type="{flagType}" class="flag filled-in" id="fg{fcIndex}" checked="{checked}"/>
            <label for="fg{fcIndex}">
                <i data-update-node="label"/>
            </label>
            <select data-flag-type="{flagType}" data-checkbox="true" data-update-option="true" class="flag "/>
        </div>
    </div>
    <div data-component-type="summerNoteEditor">
        <div id="editor" class="coverText" data-key-path="{key}">
            <div class="label" data-update-node="label"/>
            <div class="col-sm-8 col-md-8 col-lg-8 data contenteditable summernote" contenteditable="true" data-key-path="{key}" data-label="{label}" data-html-node="true"/>
        </div>
    </div>
    <div data-component-type="saveButton">
        <div class="saveButton">
            <button id="save" class="btn-primary btn-sm" onclick="eventHandler.general.actions.saveNoteEditor()" type="button">Save</button>
        </div>
    </div>
    <div data-component-type="advertOrFillerPdf">
        <div data-update-pdfPath="advert">
            <span class="btn-primary btn-sm" style="margin-left: 5px" data-message="{'click':{'funcToCall': 'exportToPDF','param':{'type': 'online','processType': 'InDesignSetter'},'channel':'pdf','topic':'export'}}">Export PDF</span>
            <span class="btn-primary btn-sm" data-message="{'click':{'funcToCall': 'exportToPDF','param':{'type': 'print','processType': 'InDesignSetter'},'channel':'pdf','topic':'export'}}">Export Print PDF</span>
            <div class="dropdown" style="float:left">
                <span class="btn-primary btn-sm dropdown-toggle" type="button" data-toggle="dropdown" href="#" style="margin-left:5px;margin-right:5px" id="" stoppropagation="false">View/Download PDF</span>
                <ul aria-labelledby="" class="dropdown-menu " style="margin-left:5px;">
                    <li data-prooftype="online">
                        <a>Online</a>
                    </li>
                    <li data-prooftype="print">
                        <a>Print</a>
                    </li>
                    <li data-preflight="true">
                        <a>Preflight</a>
                    </li>
                </ul>
            </div>
        </div>
    </div>
    <div data-component-type="afeditable">
        <label class="layoutLabel" data-update-node="label"/>
        <span contenteditable="true" class="af-data-editable" data-region-id="{regionIDVal}" data-key-path="{key}" data-label="{label}" data-update-node="data"/>
    </div>
    <div data-component-type="region">
        <div id="{_attributes.label}" data-region="{_attributes.label}" data-region-config="true">
            <div class="stripes" data-region="{_attributes.label}">
                <p>
                    <label onclick="" for="rg1">
                        <i data-update-node="_attributes.label"/>
                    </label>
                </p>
            </div>
            <div class="layoutBlock" data-region-id="{_attributes.label}" data-layout="{defaultValue}"/>
        </div>
    </div>
    <div data-component-type="default">
        <div class="row stripes">
            <div class="col-sm-4 col-md-4 col-lg-4 label" data-update-node="label"/>
            <div class="col-sm-8 col-md-8 col-lg-8 data" data-key-path="{key}" data-label="{label}" data-update-node="data"/>
        </div>
    </div>
</div>